### Virtual Method

# Foundry DebuggerVariable read_memory

#### Declaration [src]

    DexFuture*
    read_memory (
      FoundryDebuggerVariable* self,
      guint64 offset,
      guint64 count
    )

#### Description [src]

Read `count` bytes at `offset` of the variable.

#### Parameters

`offset`

  Type: `guint64`

  Offset to begin reading from.

`count`

  Type: `guint64`

  Number of bytes to read, must be > 0.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GBytes` or rejects with error.

Sicne: 1.1.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.